Subject: 24.3.93; ede-emacs-version: Searching for program: no such file or directory, egrep
From: Lars Ljung <[email-masked]>
To: [email-masked]
Date: Sun, 14 Sep 2014 20:11:03 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Every time I open a file in the Emacs source tree I see the message
"ede-emacs-version: Searching for program: no such file or directory,
egrep". Also, Emacs does not switch to the newly created buffer so I
have to switch to it manually.

This only happens on Windows, where I don't have egrep installed. It is
caused by line 86 in lisp/cedet/ede/emacs.el:

(call-process "egrep" nil buff nil "-n" "-e" "AC_INIT" configure_ac)

I don't think this line is even necessary. The file content is inserted
and parsed further down.

Kind regards,
Lars Ljung